Project

General

Profile

Misc #3553

getaddrinfo: The storage control blocks were destroyed "windows ruby not being able to handle IPv6"

Added by lfrancisconi (Leonardo De Araujo) over 9 years ago. Updated 3 months ago.

Status:
Closed
Priority:
Normal
Assignee:
-
[ruby-core:31144]

Description

=begin
Hi all,
I've installed Redmine 0.9.5 on Windows and I get an error when executing the following command:

C:\Ruby187\bin>rake -f "c:\Program Files\redmine-0.9.5\Rakefile" redmine:email:receive_imap RAILS_ENV="production" host=imap.google.com username=redmine@xxxxxxxxxx.ca password=xxxxxxxx ssl=SSL port=993 --trace

Result

(in C:/Ruby187/bin)
Invoke redmine:email:receive_imap (first_time)
Invoke environment (first_time)
Execute environment
Execute redmine:email:receive_imap
rake aborted!
getaddrinfo: The storage control blocks were destroyed.
C:/Ruby187/lib/ruby/1.8/net/imap.rb:888:in initialize'
C:/Ruby187/lib/ruby/1.8/net/imap.rb:888:in
open'
C:/Ruby187/lib/ruby/1.8/net/imap.rb:888:in initialize'
c:/Program Files/redmine-0.9.5/lib/redmine/imap.rb:29:in
new'
c:/Program Files/redmine-0.9.5/lib/redmine/imap.rb:29:in check'
c:/Program Files/redmine-0.9.5/lib/tasks/email.rake:133
C:/Ruby187/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in
call'
C:/Ruby187/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in execute'
C:/Ruby187/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in
each'
C:/Ruby187/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in execute'
C:/Ruby187/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:597:in
invoke_with_cal
l_chain'
C:/Ruby187/lib/ruby/1.8/monitor.rb:242:in synchronize'
C:/Ruby187/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:590:in
invoke_with_cal
l_chain'
C:/Ruby187/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:583:in invoke'
C:/Ruby187/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2051:in
invoke_task'
C:/Ruby187/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in top_level'
C:/Ruby187/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in
each'
C:/Ruby187/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in top_level'
C:/Ruby187/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in
standard_excep
tion_handling'
C:/Ruby187/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2023:in top_level'
C:/Ruby187/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2001:in
run'
C:/Ruby187/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in standard_excep
tion_handling'
C:/Ruby187/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in
run'
C:/Ruby187/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31
C:/Ruby187/bin/rake:19:in `load'
C:/Ruby187/bin/rake:19

Some research has pointed to a problem with "windows ruby not being able to handle IPv6"

I logged an issue at Redmine issuelog and they pointed me here.

Any idea / suggestions on how to address this issue?

Thanks

Leonardo
=end

History

#1

Updated by rogerdpack (Roger Pack) over 9 years ago

=begin
got this once "The storage control blocks were destroyed."
For me it meant "try it again your wireless is flaky" but I assume not so in your case?
=end

#2

Updated by lfrancisconi (Leonardo De Araujo) over 9 years ago

=begin
Not really.. good try though... ;-)
It is a amazon cloud instance server running Windows Server 2008. I heard that Ruby on Windows is getting trouble with IPv6...
Not sure what to make of that...

If I disable IPv6 at that server, would that work or kill my rig?

Thanks

Leo
=end

#3

Updated by luislavena (Luis Lavena) over 9 years ago

=begin
Two things:

1) move Redmine installation outside Program Files, path with spaces are not good for Ruby.

2) From the folder installation, seems you're using RubyInstaller (Ruby187). That is correct?

Can you create a simple test case of invoking imap without Redmine installation? In that way, we can try reproduce the issue.

The simplest test case that exposes the issue the faster we can investigate and perhaps solve the issue.

=end

#4

Updated by jeremyevans0 (Jeremy Evans) 3 months ago

  • Status changed from Open to Closed
  • Description updated (diff)

Also available in: Atom PDF